import java.math.*;
import java.util.*;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {
	final int MX = 1_000_000_000;

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
		long ansJury = ans.nextLong();
		long ansPart = ouf.nextLong();
		if (ansJury != ansPart) {
		 	return new Outcome(Type.WA, "expected " + Long.toString(ansJury) + ", found " + Long.toString(ansPart));
		}
		return new Outcome(Type.OK, "OK");
    }
}
